Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class PerConnectionLRUFactory

    java.lang.Object
      com.mysql.jdbc.PerConnectionLRUFactory

All Implemented Interfaces:
  CacheAdapterFactory<java.lang.String,PreparedStatement.ParseInfo>

    public class PerConnectionLRUFactory

extends java.lang.Object
implements CacheAdapterFactory<java.lang.String,PreparedStatement.ParseInfo>

Nested Class Summary
`(package private) class` | `PerConnectionLRUFactory.PerConnectionLRU`

Constructor Summary
`PerConnectionLRUFactory()`

Method Summary
`CacheAdapter<java.lang.String,PreparedStatement.ParseInfo>` | `getInstance(Connection forConnection, java.lang.String url, int cacheMaxSize, int maxKeySize, java.util.Properties connectionProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerConnectionLRUFactory

    public PerConnectionLRUFactory()

Method Detail

### getInstance

    public CacheAdapter<java.lang.String,PreparedStatement.ParseInfo> getInstance(Connection forConnection,
                                                                                  java.lang.String url,
                                                                                  int cacheMaxSize,
                                                                                  int maxKeySize,
                                                                                  java.util.Properties connectionProperties)
                                                                           throws java.sql.SQLException

  Specified by:
    `getInstance` in interface `CacheAdapterFactory<java.lang.String,PreparedStatement.ParseInfo>`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD